append: append points to geometries

## Functions

template<typename Geometry , typename RangeOrPoint >
void | boost::geometry::append (Geometry &geometry, RangeOrPoint const &range_or_point, int ring_index=-1, int multi_index=0)
| Appends one or more points to a linestring, ring, polygon, multi-geometry.

## Function Documentation

template<typename Geometry , typename RangeOrPoint >

void boost::geometry::append | ( | Geometry & | geometry,
|  | RangeOrPoint const & | range_or_point,
|  | int | ring_index = `-1`,
|  | int | multi_index = `0`
| ) |  |

Appends one or more points to a linestring, ring, polygon, multi-geometry.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  RangeOrPoint | Either a range or a point, fullfilling Boost.Range concept or Boost.Geometry Point Concept

Parameters:

  geometry | A model of the specified concept
  range_or_point | The point or range to add
  ring_index | The index of the ring in case of a polygon: exterior ring (-1, the default) or interior ring index
  multi_index | The index of the geometry to which the points are appended

}

Examples:
  02_linestring_example.cpp, and 03_polygon_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK